/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package kr.co.kihyun.beans.entity.util;

import java.util.HashSet;
import java.util.Set;
import javax.jdo.PersistenceManagerFactory;

/**
 *
 * @author bhs
 */
public class ECrossSchemaOrganizer extends SchemaOrganizer {

	public ECrossSchemaOrganizer(PersistenceManagerFactory pmf) {
		super(pmf);
	}

	@Override
	protected Set<String> getEntityClassNames() {
		Set<String> inputClassNames = new HashSet<String>();

		inputClassNames.add("kr.co.kihyun.beans.entity.ecross.ReceiverAcceptanceLimitStrategy");
		inputClassNames.add("kr.co.kihyun.beans.entity.ecross.ReceiverBoard");
		inputClassNames.add("kr.co.kihyun.beans.entity.ecross.ReceiverMemo");
		inputClassNames.add("kr.co.kihyun.beans.entity.ecross.ReceiverTotDoc");
		inputClassNames.add("kr.co.kihyun.beans.entity.ecross.ReceiverTotItem");
		inputClassNames.add("kr.co.kihyun.beans.entity.ecross.ReceiverTotReport");
		inputClassNames.add("kr.co.kihyun.beans.entity.ecross.ReceiverTotTable");
		inputClassNames.add("kr.co.kihyun.beans.entity.ecross.SenderAcceptanceLimitStrategy");
		inputClassNames.add("kr.co.kihyun.beans.entity.ecross.SenderBoard");
		inputClassNames.add("kr.co.kihyun.beans.entity.ecross.SenderMemo");
		inputClassNames.add("kr.co.kihyun.beans.entity.ecross.SenderTotDoc");
		inputClassNames.add("kr.co.kihyun.beans.entity.ecross.SenderTotItem");
		inputClassNames.add("kr.co.kihyun.beans.entity.ecross.SenderTotReport");
		inputClassNames.add("kr.co.kihyun.beans.entity.ecross.SenderTotTable");

		return inputClassNames;
	}

}
